On fre, 2008-03-21 at 05:24 +0100, Nikola Lečić wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: RIPEMD160
> 
> On Thu, 20 Mar 2008 16:40:26 +0100
> Andreas Pettersson <[EMAIL PROTECTED]> wrote:
>  
> > Hi.
> > 
> > # portversion -vL=
> > py24-tkinter-2.4.4_2        <  needs updating (port has 2.5.2_2) 
> > python24-2.4.4_2            <  needs updating (port has 2.4.5) 
> > python25-2.5.1_1            <  needs updating (port has 2.5.2_1) 
> > 
> > If I upgrade py24-tkinter, will there be a new port installed instead,
> > py25-tkinter? Will all dependencies work?
> 
> No, it will remain py24 unless you want otherwise. As for real moving
> to python25 and/or keeping py24 versions around, you should read
> /usr/ports/UPDATING (entry 20070730) and set PYTHON_DEFAULT_VERSION.
> 
> > Can I safely deinstall python24 or will it automatically get installed
> > again when I decide to upgrade zope for example?
> 
> Yes, you can: the same as above.
> 

Ok. I removed python25 and portupgraded -o python24 to 25 and then made
upgrade-site-packages. Worked perfectly. Thanks!

-- 
Andreas


_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to